Package org.apache.struts2.result

# Interface PlainResult

All Superinterfaces:
  `Result`, `Serializable`

public interface PlainResult extends Result
This result can only be used in code, as a result of action's method, eg.:

public PlainResult execute() { return response -> response.write(""); }

Please notice the result type of the method is a PlainResult not a String.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.apache.logging.log4j.Logger`
  `LOG`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `execute(ActionInvocation invocation)`
  Represents a generic interface for all action execution results.
  `default boolean`
  `ignoreCommitted()`
  Controls if result should ignore already committed Http response If set to true only a warning will be issued and the rest of the result will be skipped
  `void`
  `write(ResponseBuilder response)`
  Implement this method in action using lambdas

- ## Field Details

  - ### LOG

    static final org.apache.logging.log4j.Logger LOG

- ## Method Details

  - ### execute

    default void execute(ActionInvocation invocation) throws Exception
    Description copied from interface: `Result`
    Represents a generic interface for all action execution results. Whether that be displaying a webpage, generating an email, sending a JMS message, etc.
    Specified by:
      `execute` in interface `Result`
    Parameters:
      `invocation` - the invocation context.
    Throws:
      `Exception` - can be thrown.

  - ### write

    void write(ResponseBuilder response)
    Implement this method in action using lambdas
    Parameters:
      `response` - a response builder used to build a Http response

  - ### ignoreCommitted

    default boolean ignoreCommitted()
    Controls if result should ignore already committed Http response If set to true only a warning will be issued and the rest of the result will be skipped
    Returns:
      boolean false by default which means an exception will be thrown